How to Install nVIDIA 304.43 with one click

  • Posted in: How To
  • Written by: Panos
  • On: August 29, 2012

Yesterday, we’ve informed you about the latest nVIDIA driver 304.43. Today, we show you how to install them using our script that automatically configures your Ubuntu system. Click to the button bellow to learn how you can use our script.

[button color="orange" link="http://ubuntuxtreme.com/howto/nvidia-drivers-installer-script/"]Download Installer[/button]

[youtube id="ZxweogK3yBw" width="600" height="350"]

After the reboot, open Dash and type “nvidia“. Using this tool you can configure all these nvidia settings :)

btw you can use our script to unistall the drivers (in case you have problems).

[youtube id="A9gBSt2IOD8" width="600" height="350"]

  • http://billniakas.wordpress.com Vasileios Niakas

    I just used the installer and i have one question . Is it really necesarry for xorg-edgers to install the 3.5 kernel??

    • http://www.ubuntuxtream.com/ Panos Georgiadis

      are you sure about that ?
      type uname -r and check your kernel release.

      • http://billniakas.wordpress.com Vasileios Niakas

        bill@Empires:~$ uname -r
        3.5.0-13-generic

        Now i’m with 3.5 but its kind of strange for this to happen

        • http://www.ubuntuxtream.com/ Panos Georgiadis

          Strange.. I’ve just run the script again and I am with 3.2 Kernel. Basically, it says: “The following packages have been kept back:
          libgl1-mesa-dri linux-headers-generic linux-image-generic

          However, if you take a look to https://launchpad.net/~xorg-edgers/+archive/ppa/+packages?field.name_filter=linux&field.status_filter=published&field.series_filter=

          the kernel 3.5 has released yesterday. Have you changed any sources properties or something ?

          Anyway, I will check this deeper and come back at you :) Thanks for the feedback Vasilis.

          • http://billniakas.wordpress.com Vasileios Niakas

            No i haven’t and thats the strangest part. Anyway now everything works fine. Keep up the good work :)

        • http://billniakas.wordpress.com Vasileios Niakas

          And the strangest things are yet to come. After removing the 3.5 Kernel it didnt come up on the update manager like the first time after the installer exit and reboot. Strange things . Now i’m back on 3.2.0-29 and no updates whatsoever.

  • Guest

    I just tried to use this installer with a GTX 670. It does not see the card. It detects something from VMWare and then gives the option to either fix the current drivers or quit. Bummer….

    • http://www.ubuntuxtream.com/ Panos Georgiadis

      Great !! Now try to run the script again and there will be a new option for installing the new proprietary drivers. Let me know if it works.

      • Benjamin Shope

        Just tried running the script a few times on a fresh install of 12.04. Second pass, it saw Nvidia and gave the option of installing proprietary drivers. After a reboot, the GUI remained broken, with only the shell working. Nouveau re-install worked to bring back the GUI. It looks like an awesome script! This is definitely my fault for getting an X79 motherboard. It seems Ubuntu can be tricky with new hardware.

        • http://www.ubuntuxtream.com/ Panos Georgiadis

          Perhaps Xorg-Edgers PPA is too “xtreme”. I will modify the script to give you the option to select between X-Swat (stable) and Xorg-Edgers (beta). Currently it uses Xorg-edgers PPA, which is a possible reason for your X break.

          Please notice that this is just the 1st version of this script. Thanks very much for the feedback :)

  • Daniel G

    You saved my day! Worked perfectly on my Dell Optiplex740 with AsusGX520 Silent and Ubuntustudio 12.04

    • http://www.ubuntuxtream.com/ Panos Georgiadis

      Glad to know Daniel :)

  • http://www.facebook.com/duttathebest Sudeepto Dutta

    Hello Sir…

    Nice tutorial…

    I want yo ask one question..

    My software updater already has this update showing to install…

    So should I use it along with many other updates that are listed on update manager..??

    The changers are like this …

    Changes for the versions:
    Installed version: 304.37-0ubuntu1~precise~xup1
    Available version: 304.43-0ubuntu1~precise~xup1

    Thank You :)

    • http://www.ubuntuxtream.com/ Panos Georgiadis

      Running the script will automatically update your version to 304.43 along with some proper configuration. Although, if you want to play on the “safe” road please feel free to use the update manager method. Thanks for your kind words :)

  • paniolo

    Thank you, worked great! I was fighting through getting 304.43 installed. I had downloaded the driver from nVidia and while searching how to kill nVidia X found this. This was a lot simpler, and gives me a restore from Terminal if things go wrong. Thanks again.

    • http://www.ubuntuxtream.com/ Panos Georgiadis

      You ‘re welcome mate :)

  • walle

    No LSB modules are available.
    No LSB modules are available.
    cat: /etc/apt/sources.list.d/xorg-edgers-ppa-precise.list: Няма такъв файл или директория
    Xorg-Edgers PPA is NOT installed
    cat: /etc/apt/sources.list.d/ubuntu-x-swat-x-updates-precise.list: Няма такъв файл или директория
    X-Swat PPA is NOT installed

    ______________________________________________________
    | |
    | uXeye GPU Drivers Installer ver 1.1 |
    | UbuntuXtreme.com |
    | |
    | Welcome to UbuntuXtreme’s automated installer script |
    | for your graphics card drivers. Sit back and relax. |
    | |
    |______________________________________________________|

    Let me identify your GPU…
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Error: couldn’t find RGB GLX visual or fbconfig
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Error: couldn’t find RGB GLX visual or fbconfig
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Error: couldn’t find RGB GLX visual or fbconfig
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Error: couldn’t find RGB GLX visual or fbconfig
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Xlib: extension “GLX” missing on display “:0.0″.
    Video Card:
    Vendor:
    GPU:
    Driver in use: nvidia
    i915
    Driver version:
    Direct Rendering:
    Can you help me?

    • http://www.ubuntuxtream.com/ Panos Georgiadis

      Do you have laptop using hybrid graphics ?
      The script quits itself automatically without asking you if you want to install proprietary or install/update proprietary ?

      • walle

        Hybrid graphics what is that? :) and i have intel Hd graphics but when i go to properties it doesn’t show any drivers

        • http://www.ubuntuxtream.com/ Panos Georgiadis

          Hybrid graphics are when you when Intel HD Graphics embedded to the CPU (Core i3/i5/i7) and an additional discrete GPU such as nVIDIA GTX blahblah.

          You have to use the open source driver called Bumblebee. This script is not supporting hybrid graphics yet.

          • walle

            OK i will try :)

This is a footer